/*
	Scott Zirpolo
	22 October, 2012

	This code is free to copy and use.
*/

#include "OrbiterAPI.h"
#include "Orbitersdk.h"
#include "VesselAPI.h"

#define ORBITER_MODULE

class Aeroshield: public VESSEL3
{
public:
	Aeroshield(OBJHANDLE hVessel, int flightmodel);
	~Aeroshield();
	void clbkSetClassCaps(FILEHANDLE cfg);
	void clbkLoadStateEx(FILEHANDLE scn, void *status);
	void clbkSaveState(FILEHANDLE scn);

	//VARIABLES
	double size;
	double mass;
	VECTOR3 pmi;
	VECTOR3 cs;
	VECTOR3 dockLocation;
	double cw[4];
	double rotResistance;
	double wingAspect;
	DOCKHANDLE hardpoint;

	DWORD meshType;
};